Build for nuxi based Websites

This commit is contained in:
Frank Agerholm 2024-12-04 22:35:12 +01:00
commit 9506e727ad
No known key found for this signature in database

View file

@ -36,6 +36,23 @@ then
echo "Error installing node-dependencies" 1>&2
exit 1
fi
if test -f nuxt.config.ts
then
# Build for nuxi based Sites
if ! npx nuxi build
then
echo "Error nuxi build" 1>&2
exit 1
fi
if ! npx nuxi generate
then
echo "Error nuxi generate" 1>&2
exit 1
fi
else
echo "No supportet node website type found" 1>&2
exit 1
fi
cd ..
fi